Subject: Bug#688789: /sbin/lvcreate: lvcreate/lvremove --quiet are not quiet

From: Dave Page <[email-masked]>
Date: Tue, 30 Dec 2014 02:40:54 +0000

Package: lvm2
Version: 2.02.111-2
Followup-For: Bug #688789

I recently had the same problem with lvcreate / lvremove. I assumed a bug in
the source and went looking to fix it.

I learned from a source comment (lib/commands/toolcontext.c:183) that there is
the -qq option for extra quietness disables the spurious output from lvcreate
and lvremove. The manpage for LVM suggests that repeating -q will "also
suppress any prompts with answer 'no'", which doesn't seem to match this case.

I still consider it a bug that this output is not removed by --quiet, but
that's for the Debian maintainers to decide; in the meantime, I hope that
documenting this workaround will help those who find the original bug report
after discovering this behaviour.

-- System Information:
Debian Release: 8.0
  APT prefers testing-updates
  APT policy: (500, 'testing-updates'), (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.16.0-4-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages lvm2 depends on:
ii  dmeventd                  2:1.02.90-2
ii  dmsetup                   2:1.02.90-2
ii  init-system-helpers       1.22
ii  initscripts               2.88dsf-58
ii  libc6                     2.19-13
ii  libdevmapper-event1.02.1  2:1.02.90-2
ii  libdevmapper1.02.1        2:1.02.90-2
ii  libreadline5              5.2+dfsg-2
ii  libudev1                  215-7
ii  lsb-base                  4.1+Debian13+nmu1

lvm2 recommends no packages.

Versions of packages lvm2 suggests:
pn  thin-provisioning-tools  <none>

-- no debconf information